<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Reports">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>About Reports </title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#16-reports/about-reports.html">Open topic with navigation</a>
        </p>
        <h1>About Reports </h1>
        <p>A report takes a snapshot of the data in a project at a particular moment in time. It enables you to compile data from a project so that you can present it in a tangible output format. </p>
        <p>You create reports to document your testing methodology, disclose your findings, and support your findings with real evidence. A report enables you to share this information with an organization so they  can prioritize, reproduce, and remediate their vulnerabilities. By understanding the results of a penetration test, an organization can learn how they can mitigate weaknesses in their security infrastructure. </p>
        <h2>Report Output Formats</h2>
        <p><span class="VariablesProductName">Metasploit Pro</span> enables you to generate a report in the following output formats:</p>
        <ul>
            <li value="1"><b>PDF</b> - A&#160;document that can be opened and viewed with Adobe Reader.This is the default type.</li>
            <li value="2"><b>HTML</b> - A file that can be opened and viewed in a Web browser.</li>
            <li value="3"><b>RTF</b> - A document that uses  text-based encoding, which enables  its content to be viewed in most major word processing applications. You can use this format if you want to edit  or annotate the report or if you need to distribute the report across multiple platforms. </li>
            <li value="4"><b>Word</b> - A document that can be opened, viewed, and edited in Microsoft Word. You can use this format if you want to edit or annotate the report. </li>
        </ul>
        <p>You can generate any combination of output formats for each report. Each instance  will be an artifact of the report. </p>
        <p class="subheading">What Are Report Artifacts?</p>
        <p>An artifact refers to the output formats that have been generated for a report. For example,  a PDF and RTF version of the same Social Engineering Report are artifacts of the report. To view the artifacts for a report, select <b class="UISelection">Reports &gt;&#160;Show reports</b> from the Project tab bar. The Reports List shows all the reports that have been generated for the project and displays the artifacts for each report in the File Formats column.</p>
        <p>
            <img src="../Resources/Images/reports/reports-report-artifacts_387x151.png" title="Report artifacts" alt="Report artifacts" style="width: 387;height: 151;" />
            <br />
        </p>
        <h2>Reports Directory </h2>
        <p>When <span class="VariablesProductName">Metasploit Pro</span> generates a report, it stores a copy of the file in  <code>/path/to/Metasploit/apps/pro/reports/artifacts</code>. The files that are stored in this directory will match the list of reports displayed in the web interface. </p>
        <p>You can go to the reports directory to download or view reports; however, you should not make any changes directly to the default reports directory. If you need to modify the reports, you should make a copy of the reports directory and make your changes from the new directory. </p>
        <p> Any changes that you make directly to the reports can cause disparities between the metadata that displays for the file in the web&#160;interface and the file itself. If you need to remove reports from a project, you should do it from within the web interface. Do not delete them directly from the reports directory.</p>
        <h3>Viewing Reports Generated with <span class="VariablesProductName">Metasploit Pro</span> 4.8 and Earlier</h3>
        <p>All reports generated with <span class="VariablesProductName">Metasploit Pro</span> 4.8 and earlier are stored in the <code>/path/to/Metasploit/apps/pro/reports/legacy_reports</code> directory. These reports are not accessible from the web interface. </p>
        <h2><a name="Report"></a>Report Logs</h2>
        <p>The report log maintains a historical record of all report-related events. <span class="VariablesProductName">Metasploit Pro</span> automatically updates the report log each time you generate a report.  If you experience any issues with a report, you can view the report log to find stack trace errors and troubleshoot them.</p>
        <h3>Viewing the Report Log</h3>
        <p>You can find and view the report log  in the following directory: <code>/path/to/Metasploit/apps/pro/ui/log</code>. The report log is named <code>reports.log</code>. </p>
        <h3>Clearing the Report Log</h3>
        <p>To clear the report log, you will need remove it from the log directory, which is located at <code>/path/to/Metasploit/apps/pro/ui/log</code>. <span class="VariablesProductName">Metasploit Pro</span> will generate a new report log if it detects that one does not exist. </p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Before you delete the report log, you should make a copy of it in case you need it for reference later. </p>
        <h2 style="page-break-after: avoid;page-break-before: right;"><a name="Using"></a>Using the Reporting Interface</h2>
        <p>The Reports page is divided into four different areas, which enables you to perform the following tasks:</p>
        <ul>
            <li value="1">View reports </li>
            <li value="2">Generate standard reports</li>
            <li value="3">Generate custom reports</li>
        </ul>
        <h3>Generating a Standard Report</h3>
        <p style="text-align: left;">The Standard Report Form enables you to specify the options you want to use to create your report, such as the report type and output format.</p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports/reports-standard-report-form_469x450.png" title="Standard report form" alt="Standard report form" style="width: 469;height: 450;" />
        </p>
        <ol>
            <li value="1"><b>Report Type</b> - Choose from one of the following report types: Activity, Audit, Authentication Tokens, Collected Evidence, Compromised and Vulnerable Hosts, FISMA&#160;Compliance, PCI&#160;Compliance, Services, Social Engineering, and Web&#160;Application Assessment. </li>
            <li value="2"><b>File Format</b> - Select the output format you want to use to generate the report. The form automatically displays the output formats that are supported for the report type that is currently selected. All reports support PDF, RTF, and HTML. Some reports, like the Web Application Assessment Report, do not support Word. </li>
            <li value="3"><b>Name</b> - Specify the name that you want to save the report as. This is the report name you will see when you view the Reports List or when you download the report. </li>
            <li value="4"><b>Address Settings</b> - Use the <b class="UISelection">Included addresses</b> field to create a white list or use the <b class="UISelection">Excluded addresses</b> field to create a black list. A white list explicitly defines the hosts you want to include in the generated report. A black list, on the other hand, explicitly defines the hosts you want to exclude from the report. </li>
            <li value="5"><b>Cover Logo</b> - Specify the logo that you want to add to the cover page of the report. </li>
            <li value="6"><b>Sections</b> - Choose the sections you want to include in the report. By default, all report sections are selected. The report sections that are available vary between report types. The form automatically displays the sections that are supported for the report type that is currently selected. </li>
            <li value="7"><b>Options</b> - Use these options to manage confidential data and graphics in a report. The report form displays the options that are applicable for the report type selected. <br /><br />The following options may be available for each report:</li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><i>Mask discovered credentials</i> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from a report. The report displays the user name and a blank password.</li>
            <li class="indentedList" value="2"><i>Include session details</i> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</li>
            <li class="indentedList" value="3"><i>Include charts and graphs</i> - Includes visual aids, such as pie graphs, to accompany statistical findings in a report. </li>
            <li class="indentedList" value="4"><i>Include web page HTML (in addition to image preview)</i> - Includes a preview of the web pages used in the social engineering campaign. (Social Engineering Campaign Details Report only)</li>
        </ul>
        <ol start="8">
            <li value="8"><b>Email Report</b> - Automatically sends the finished report to a list of comma separated or semi-colon separated e-mail addresses. </li>
        </ol>
        <h3>Generating a Custom Report</h3>
        <p>The Custom Report Form enables you to specify the options you want to use to customize your report.</p>
        <p style="text-align: left;">
            <img src="../Resources/Images/reports/reports-custom-report-form_502x460.png" title="Custom report form" alt="Custom report form" style="width: 502;height: 460;" />
        </p>
        <ol>
            <li value="1"><b>Custom Report Collateral</b> - Upload Jasper templates and logos that can be used for customizing reports. Supported collateral types include Jasper report templates and image files, such as JPEG, PNG, and&#160;GIF. </li>
            <li value="2"><b>Custom Report Template</b> - Select the template that you want to use to create your report. </li>
            <li value="3"><b>File Format</b> - Select the output format you want to use to generate the report. The form automatically displays the output formats that are supported for the report type that is currently selected. All reports support PDF, RTF, and HTML. Some reports, like the Web Application Assessment Report, do not support Word. </li>
            <li value="4"><b>Name</b> - Specify the name that you want to save the report as. This is the report name you will see when you view the Reports List or when you download the report. </li>
            <li value="5"><b>Address Settings</b> - Use the <b class="UISelection">Included addresses</b> field to create a white list or use the <b class="UISelection">Excluded addresses</b> field to create a black list. A white list explicitly defines the hosts you want to include in the generated report. A black list, on the other hand, explicitly defines the hosts you want to exclude from the report. </li>
            <li value="6"><b>Cover Logo</b> - Specify the logo that you want to apply to the report. </li>
        </ol>
        <ol start="7">
            <li value="7"><b>Email Report</b> - Automatically sends the finished report to a list of comma separated or semi-colon separated e-mail addresses. </li>
        </ol>
    </body>
</html>